<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

// Locale
$locale = fusion_get_locale("", REGU_LOCALE);

// Main Informations
$inf_title = $locale['REGU_00'];
$inf_description = $locale['REGU_01'];
$inf_version = "1.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = "regulation";
$inf_image = "regulation.svg";

// Tables
$inf_newtable[] = DB_REGULATION." (
    r_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    r_title VARCHAR(255) NOT NULL DEFAULT '',
    r_description TEXT NOT NULL,
    r_date INT(11) NOT NULL DEFAULT '0',
    r_language VARCHAR(50) NOT NULL DEFAULT '".LANGUAGE."',
    PRIMARY KEY (r_id)
) ENGINE=MyISAM DEFAULT CHARSET=UTF8 COLLATE=utf8_unicode_ci";

// Insert Multilanguage
$inf_mlt[] = [
    'title'  => $locale['REGU_03'],
    'rights' => "REGU"
];

// Multilanguage Sitelinks
$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");
if (!empty($enabled_languages)) {
    foreach ($enabled_languages as $language) {
        if (file_exists(INFUSIONS.'regulation/locale/'.$language.'/regulation.php')) {
            include INFUSIONS.'regulation/locale/'.$language.'/regulation.php';
        } else {
            include INFUSIONS.'regulation/locale/Hungarian/regulation.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "REGU",
            'image'    => $inf_image,
            'title'    => $locale['REGU_04'],
            'panel'    => "regulation_admin.php",
            'page'     => 5,
            'language' => $language
        ];
        // Add
        $mlt_insertdbrow[$language][] = DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES ('".$locale['REGU_05']."', 'infusions/".$inf_folder."/regulation.php', '0', '2', '0', '2', '1', '".$language."')";
        // Delete
        $mlt_deldbrow[$language][] = DB_SITE_LINKS." WHERE link_url = 'infusions/".$inf_folder."/regulation.php' AND link_language = '".$language."'";
        $mlt_deldbrow[$language][] = DB_REGULATION." WHERE r_language = '".$language."'";
    }
} else {
    // Adminlink
    $inf_adminpanel[] = [
        'rights'   => "REGU",
        'image'    => $inf_image,
        'title'    => $locale['REGU_04'],
        'panel'    => "regulation_admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
    $inf_insertdbrow[] = DB_SITE_LINKS." (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES('".$locale['REGU_05']."', 'infusions/".$inf_folder."/regulation.php', '0', '2', '0', '2', '1', '".LANGUAGE."')";
}

// Deinstallation
$inf_droptable[] = DB_REGULATION;
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'REGU'";
$inf_deldbrow[] = DB_SITE_LINKS." WHERE link_url = 'infusions/".$inf_folder."/regulation.php'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'REGU'";
$inf_delfiles[] = IMAGES_R;
