<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: regulation_admin.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once __DIR__.'/../../maincore.php';
require_once THEMES."templates/admin_header.php";

pageAccess('REGU');

$locale = fusion_get_locale("", REGU_LOCALE);
add_breadcrumb(['link' => REGULATION_PATH.'regulation_admin.php'.fusion_get_aidlink(), 'title' => $locale['REGU_20']]);

$allowed_section = ['regulation', 'regulation_form'];

$section = check_get('section') && in_array(get('section'), $allowed_section) ? get('section') : $allowed_section[0];
$action = check_get('action') && in_array(get('action'), $allowed_section) ? get('action') : '';

$edit = ($action == 'edit' && check_get('r_id')) ? TRUE : FALSE;

$master_tab_title['title'][] = $locale['REGU_11'];
$master_tab_title['id'][] = "regulation";
$master_tab_title['icon'][] = "fa fa-folder";

if ($section == "regulation_form") {
    $master_tab_title['title'][] = $locale['REGU_12'];
    $master_tab_title['id'][] = "regulation_form";
    $master_tab_title['icon'][] = "fa fa-pencil";
}

opentable($locale['REGU_10']);
echo opentab($master_tab_title, $section, "regulation", TRUE, 'nav-tabs m-b-20', "section", ['rowstart', 'ref', 'bad_ip', 'badip']);
switch ($section) {
    case "regulation_form":
        regulation_form();
        break;
    default:
        regulation_list();
        break;
}
echo closetab();
closetable();

function regulation_list() {
$locale = fusion_get_locale("", REGU_LOCALE);

$result = dbquery("SELECT * FROM ".DB_REGULATION.(multilang_table("REGU") ? ' WHERE '.in_group('r_language', LANGUAGE) : '')." ORDER BY r_date DESC");

opentable("<i class='fa fa-legal fa-fw m-r-10'></i>".$locale['REGU_20']);

echo "<div class='clearfix'>";
    echo "<div class='pull-right'>";
        echo "<a class='btn btn-success btn-sm m-r-10' href='".FUSION_SELF.fusion_get_aidlink()."&section=regulation_form'><i class='fa fa-fw fa-plus m-r-10'></i>".$locale['REGU_23']."</a>";
    echo "</div>\n";
echo "</div>";

if (dbrows($result)) {
    echo "<div class='row'>";
        while ($data = dbarray($result)) {
            echo "<div class='col-xs-12 col-sm-6'>";
                echo "<div class='well clearfix'>\n";
                    echo "<div class='btn-group pull-right m-t-5'>\n";
                    echo "<a class='btn btn-sm btn-default' href='".FUSION_SELF.fusion_get_aidlink()."&section=regulation_form&action=edit&r_id=".$data['r_id']."'>".$locale['edit']."</a>";
                    echo "<a class='btn btn-sm btn-danger' href='".FUSION_SELF.fusion_get_aidlink()."&section=regulation_form&&action=delete&r_id=".$data['r_id']."' onclick=\"return confirm('".$locale['REGU_14']."');\"><i class='fa fa-fw fa-trash m-r-10'></i>".$locale['delete']."</a>\n";
                    echo "</div>\n";
                    echo "<div class='overflow-hide p-r-10'>\n";
                    echo "<span class='display-inline-block m-r-10 strong text-bigger'>";
                    if ($data['r_description']) {
                        echo fusion_first_words(parse_textarea($data['r_description'], TRUE, TRUE, TRUE, FALSE, TRUE), 50);
                    }
                    echo "</span>\n";
                    echo "</div>\n";
                echo "</div>\n";
            echo "</div>";
        }
    echo "</div>";

} else {
	echo "<div class='panel-body text-center'>".$locale['REGU_13']."</div>\n";
}

closetable();
}

function regulation_form() {
    $locale = fusion_get_locale("", REGU_LOCALE);
    $data = [
        'r_id'          => 0,
        'r_title'       => '',
        'r_description' => '',
        'r_date'        => 0,
        'r_language'    => LANGUAGE
    ];
    if (check_post('save_cat')) {
        // Check posted Informations
        $data = [
            'r_id'          => sanitizer('r_id', 0, 'r_id'),
            'r_title'       => sanitizer('r_title', '', 'r_title'),
            'r_description' => sanitizer('r_description', '', 'r_description'),
            'r_date'        => time(),
            'r_language'    => sanitizer(['r_language'], LANGUAGE, 'r_language')
        ];

        if (fusion_safe()) {
            dbquery_insert(DB_REGULATION, $data, empty($data['r_id']) ? 'save' : 'update');
            addNotice("success", empty($data['r_id']) ? $locale['REGU_16'] : $locale['REGU_15']);
            redirect(clean_request('', ['ref', 'section', 'action', 'r_id'], FALSE));
        }
    }

    if ((check_get('action') && get('action') == "delete") && (check_get('r_id') && get('r_id', FILTER_VALIDATE_INT))) {
        dbquery("DELETE FROM ".DB_REGULATION." WHERE r_id = :rid", [':rid' => get('r_id')]);
        addNotice("success", $locale['REGU_17']);
        redirect(clean_request('', ['ref', 'section', 'action', 'r_id'], FALSE));
    }

    if ((check_get('action') && get('action') == "edit") && (check_get('r_id') && get('r_id', FILTER_VALIDATE_INT))) {
        $result = dbquery("SELECT * FROM ".DB_REGULATION.(multilang_table("REGU") ? ' WHERE '.in_group('r_language', LANGUAGE).' AND ' : ' WHERE ')." r_id = :rid", [':rid' => get('r_id')]);
        if (dbrows($result)) {
            $data = dbarray($result);
        }
    }

    if (!fusion_get_settings("tinymce_enabled")) {
        $ExtendedSettings = [
            'required'    => TRUE,
            'preview'     => TRUE,
            'html'        => TRUE,
            'autosize'    => TRUE,
            'placeholder' => $locale['REGU_21'],
            'form_name'   => "regulation",
            'wordcount'   => TRUE,
            'path'        => [IMAGES_R]
        ];
    } else {
        $ExtendedSettings = [
            'required'    => TRUE,
            'type'        => "tinymce",
            'tinymce'     => "advanced",
            'placeholder' => $locale['REGU_21'],
            'path'        => [IMAGES_R]
        ];
    }

    echo openform('regulation', 'post', FUSION_REQUEST);
    echo form_hidden('r_id', '', $data['r_id']);
    echo form_text('r_title', $locale['REGU_24'], $data['r_title'], [
        'required'    => TRUE,
        'max_length'  => 255,
        'placeholder' => $locale['REGU_25']
    ]);
    echo form_textarea('r_description', $locale['REGU_22'], $data['r_description'], $ExtendedSettings);
    if (multilang_table('REGU')) {
        echo form_select('r_language[]', $locale['language'], $data['r_language'], [
            'options'     => fusion_get_enabled_languages(),
            'placeholder' => $locale['choose'],
            'width'       => '100%',
            'multiple'    => TRUE
        ]);
    } else {
        echo form_hidden('r_language', '', $data['r_language']);
    }
    echo form_button('save_cat', $locale['save'], $locale['save'], ['class' => 'btn-success', 'icon' => 'fa fa-hdd-o']);
    echo closeform();

}

require_once THEMES."templates/footer.php";
