<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: search_regulation_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Search;

use PHPFusion\ImageRepo;

defined('IN_FUSION') || exit;

if (defined('REGULATION_EXISTS')) {
    $formatted_result = '';
    $settings = fusion_get_settings();
    $locale = fusion_get_locale('', INFUSIONS."regulation/locale/".LOCALESET."search/regulation.php");
    $item_count = "0 ".$locale['r402']." ".$locale['522']."<br />\n";
    $date_search = (Search_Engine::get_param('datelimit') != 0 ? ' AND r_date>='.(time() - Search_Engine::get_param('datelimit')) : '');

    if (Search_Engine::get_param('stype') == 'regulation' || Search_Engine::get_param('stype') == 'all') {

        $sort_by = [
            'datestamp' => "r_date",
            'subject'   => "r_title",
            'author'    => "r_description",
        ];

        $order_by = [
            '0' => ' DESC',
            '1' => ' ASC',
        ];

        $sortby = !empty(Search_Engine::get_param('sort')) ? "ORDER BY ".$sort_by[Search_Engine::get_param('sort')].$order_by[Search_Engine::get_param('order')] : '';

        $limit = (Search_Engine::get_param('stype') != "all" ? " LIMIT ".Search_Engine::get_param('rowstart').",10" : '');

        switch (Search_Engine::get_param('fields')) {
            case 2:
                Search_Engine::search_column('r_title', 'regulation');
                Search_Engine::search_column('r_description', 'regulation');
                Search_Engine::search_column('r_date', 'regulation');
                break;
            case 1:
                Search_Engine::search_column('r_description', 'regulation');
                Search_Engine::search_column('r_title', 'regulation');
                break;
            default:
                Search_Engine::search_column('r_title', 'regulation');
        }

        $rows = 0;
        if (!empty(Search_Engine::get_param('search_param'))) {
            $rows = dbcount("(r_id)", DB_REGULATION, (multilang_table("REGU") ? in_group('r_language', LANGUAGE)." AND " : "").Search_Engine::search_conditions('regulation').$date_search, Search_Engine::get_param('search_param'));
        }
        if ($rows != 0) {

            $item_count = "<a href='".BASEDIR."search.php?stype=regulation&amp;stext=".Search_Engine::get_param('stext')."&amp;".Search_Engine::get_param('composevars')."'>".$rows." ".($rows == 1 ? $locale['r401'] : $locale['r402'])." ".$locale['522']."</a><br />\n";

            $result = dbquery("SELECT *
            FROM ".DB_REGULATION."
            ".(multilang_table("REGU") ? ' WHERE '.in_group('r_language', LANGUAGE)."AND " : "WHERE ")
            .Search_Engine::search_conditions('regulation').$date_search.$sortby.(!empty($limit) ? $limit : " LIMIT 100"), Search_Engine::get_param('search_param'));

            $search_result = '';
            while ($data = dbarray($result)) {
                $data['r_title'] = strip_tags(htmlspecialchars_decode($data['r_title']));
                $data['r_description'] = strip_tags(htmlspecialchars_decode($data['r_description']));
                $text_all = $data['r_title']." ".$data['r_description'];
                $text_all = Search_Engine::search_striphtmlbbcodes($text_all);
                $text_frag = Search_Engine::search_textfrag($text_all);
                $subj_c = Search_Engine::search_stringscount($data['r_title']);
                $text_c = Search_Engine::search_stringscount($data['r_description']);

                 $context = "<div class='quote' style='width:auto;height:auto;overflow:auto'>".$text_frag."</div><br />";

                $meta = "<span class='small2'>".$locale['global_071'].$data['r_title']."</span><br />\n";

                $criteria = "<span class='small'>".$subj_c." ".($subj_c == 1 ? $locale['520'] : $locale['521'])." ".$locale['r403']." ".$locale['r404'].", ";
                $criteria .= $text_c." ".($text_c == 1 ? $locale['520'] : $locale['521'])." ".$locale['r403']." ".$locale['r405']."</span>";

                $search_result .= render_search_item_list([
                    'item_url'             => INFUSIONS."regulation/regulation.php",
                    'item_image'           => '',
                    'item_title'           => $data['r_title'],
                    'item_description'     => $meta,
                    'item_search_criteria' => $criteria,
                    'item_search_context'  => $context
                ]);
            }

            // Pass strings for theme developers
            $formatted_result = render_search_item_wrapper([
                'image'          => "<img src='".ImageRepo::getimage('ac_REGU')."' alt='".$locale['r400']."' style='width:32px;'/>",
                'icon_class'     => "fa fa-cloud-download fa-lg fa-fw",
                'search_title'   => $locale['r400'],
                'search_result'  => $item_count,
                'search_content' => $search_result
            ]);
        }

        Search_Engine::search_navigation($rows);
        Search_Engine::search_globalarray($formatted_result);
        Search_Engine::append_item_count($item_count);
    }
}
